import 'dart:convert';

Country CountryFromJson(String str) => Country.fromJson(json.decode(str));

String CountryToJson(Country data) => json.encode(data.toJson());

///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class Country {
/*
{
  "id": 2,
  "name": "Mỹ",
  "phonePrefix": "+1",
  "countryCode": "1",
  "displayOrder": 0
}
*/

  int? id;
  String? name;
  String? phonePrefix;
  String? countryCode;
  int? displayOrder;

  Country({
    this.id,
    this.name,
    this.phonePrefix,
    this.countryCode,
    this.displayOrder,
  });
  Country.fromJson(Map<String, dynamic> json) {
    id = json['id']?.toInt();
    name = json['name']?.toString();
    phonePrefix = json['phonePrefix']?.toString();
    countryCode = json['countryCode']?.toString();
    displayOrder = json['displayOrder']?.toInt();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['name'] = name;
    data['phonePrefix'] = phonePrefix;
    data['countryCode'] = countryCode;
    data['displayOrder'] = displayOrder;
    return data;
  }
}
